petsc-3.12.4 2020-02-04
Report Typos and Errors

# TaoBRGNSetDictionaryMatrix

bind the dictionary matrix from user application context to gn->D, for compressed sensing (with least-squares problem)

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoBRGNSetDictionaryMatrix(Tao tao,Mat dict)

### Input Parameters

| tao | - the Tao context
| dict | - the user specified dictionary matrix. We allow to set a null dictionary, which means identity matrix by default

### Level

advanced

### Location

src/tao/leastsquares/impls/brgn/brgn.c

### Examples

src/tao/leastsquares/examples/tutorials/cs1.c.html
src/tao/leastsquares/examples/tutorials/tomography.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages